SWAPLABEL(8)

NAME
swaplabel - Print or change the label / UUID of a swap area

SYNOPSIS
swaplabel [-L label] [-U UUID] device

DESCRIPTION
swaplabel will display or change the label / UUID of a swap partition located on device (or regular file).

If the optional arguments -L and -U are not present, swaplabel will simply display the swap area label and UUID of device.

If an optional argument is present, then swaplabel will change the appropriate value of device. These values can also be set during swap creation using mkswap(8). The swaplabel utility allows to change the label or UUID on actively used swap device.

OPTIONS

-h, --help
    Print help and exit.

-L, --label label
    Specify a new label for device. Swap partition labels can be at most 16 characters long. If label is longer than 16 characters, swapinfo will truncate it and print a warning message.

-U, --uuid uuid
    Specify a new UUID for device. UUID must be in the standard 8-4-4-4-12 character format, such as is ouput by uuidgen(1).

AUTHOR
swaplabel was written by Jason Borden <jborden@bluehost.com> and Karel Zak <kzak@redhat.com>.

AVAILABILITY
swaplabel is part of the util-linux-ng package and is available from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.

SEE ALSO
mkswap(8), swapon(8), uuidgen(1)